Class DocumentBatchController
java.lang.Object
org.apache.clusterbr.zupportl5.controller.DocumentBatchController
REST-API Endpoints --
- GET /api/batch/process-xmlfiles: Returns data from the API
- POST /api/batch/process-xmlfiles: Creates a new entry in the API
UML Diagrams:




- Since:
- 2024-1108
- Author:
- arcbrth@gmail.com
-
Constructor Summary
ConstructorsConstructorDescriptionDocumentBatchController(org.springframework.batch.core.launch.JobLauncher jobLauncher, org.springframework.batch.core.Job xmlProcessorJob) -
Method Summary
Modifier and TypeMethodDescriptionorg.springframework.http.ResponseEntity<String>org.springframework.http.ResponseEntity<?>processXmlFiles(org.springframework.web.multipart.MultipartFile[] files)
-
Constructor Details
-
DocumentBatchController
@Autowired public DocumentBatchController(org.springframework.batch.core.launch.JobLauncher jobLauncher, @Qualifier("xmlProcessorJob") org.springframework.batch.core.Job xmlProcessorJob)
-
-
Method Details
-
getViewForProcessXml
@GetMapping("/process-xmlfiles") public org.springframework.http.ResponseEntity<String> getViewForProcessXml() throws IOException- Throws:
IOException
-
processXmlFiles
@PostMapping("/process-xmlfiles") public org.springframework.http.ResponseEntity<?> processXmlFiles(@RequestParam("files") org.springframework.web.multipart.MultipartFile[] files)
-